{
  "schema_version": "1.4.0",
  "id": "GHSA-9q64-c897-jp9x",
  "modified": "2022-05-17T02:03:47Z",
  "published": "2022-05-17T02:03:47Z",
  "aliases": [
    "CVE-2010-4530"
  ],
  "details": "Signedness error in ccid_serial.c in libccid in the USB Chip/Smart Card Interface Devices (CCID) driver, as used in pcscd in PCSC-Lite 1.5.3 and possibly other products, allows physically proximate attackers to execute arbitrary code via a smart card with a crafted serial number that causes a negative value to be used in a memcpy operation, which triggers a buffer overflow.  NOTE: some sources refer to this issue as an integer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2010-4530"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2013:0523"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2013:1323"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/security/cve/CVE-2010-4530"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=664986"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/64961"
    },
    {
      "type": "WEB",
      "url": "http://kb.juniper.net/InfoCenter/index?page=content&id=JSA10705"
    },
    {
      "type": "WEB",
      "url": "http://labs.mwrinfosecurity.com/files/Advisories/mwri_pcsc-libccid-buffer-overflow_2010-12-13.pdf"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2011-January/053076.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2011-January/053097.html"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2013-1323.html"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2011:014"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2010/12/22/7"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2011/01/03/3"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/45806"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2011/0100"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2011/0179"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2011-01-18T18:03:00Z"
  }
}